"""Add avatars

Revision ID: 7503d2a6094c
Revises: a000d800f45f
Create Date: 2024-03-27 15:36:49.749722

"""

from typing import Sequence, Union

import sqlalchemy as sa

from alembic import op

# revision identifiers, used by Alembic.
revision: str = "7503d2a6094c"
down_revision: Union[str, None] = "a000d800f45f"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    op.add_column("members", sa.Column("avatar", sa.Text(), nullable=True))
    op.add_column("users", sa.Column("avatar", sa.Text(), nullable=True))


def downgrade() -> None:
    op.drop_column("users", "avatar")
    op.drop_column("members", "avatar")
